History

#1 - 07/19/2023 11:24 AM - Xihua Fan
- File batch update.png added

#2 - 07/24/2023 04:32 PM - Xihua Fan
- Due date changed from 07/21/2023 to 08/31/2023
- Start date changed from 07/20/2023 to 08/01/2023

#3 - 08/17/2023 05:54 PM - Zhongbao Ye
- Due date changed from 08/31/2023 to 08/22/2023
- Start date changed from 08/01/2023 to 08/22/2023

#4 - 08/17/2023 06:00 PM - Xihua Fan
- Priority changed from 1 tol

#5 - 08/22/2023 06:57 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 0 to 100

Output(2023/08/22) [ [

¢ No need to select again when updating order status in bulk (especially when there are multiple products in an order)

e Solution:

1. When opening the orderStatusUpdateForm popup, get the productlds of the checked records in the order list. when building the order list in
the popup, determine if the productld of the current row exists in the previously checked list. If so, the current row is selected.

2. Bugfix: Deleted orders not shown in Update order status list

3. Bugfix: Modify the language pack:

old: const SENT_TO_RETAILER_TEXT  ='Sent to Retailer’;
= 'Sent’;

new: const SENT_TO_ RETAILER_TEXT

4. Bugfix: The batch operation function(Retailer Received/Send to Customer) does not have a corresponding status,function is not available.
Avoid user action, use simple popup reminders(alert("Not support yet.")).
5. Optimization: The data in the popup list is sorted according to the default sorting rules(o.update_time DESC, op.update_time DESC) of the
order list, as far as possible, the data in the order list is displayed in the same order.

protected/keys/OrderStatus.php
protected/services/OrderService.php
protected/views/layouts/desktop.php
ui/desktop/js/order.plugin.js
ui/desktop/js/order.js
ui/desktop/js/shipment.js

« (10000 Update order status 00000000000order list D000
#6 - 08/25/2023 09:10 PM - Zhongbao Ye
- Status changed from 100 to0010
- % Done changed from 100 to 90

#7 - 08/25/2023 09:26 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 90 to 100

#8 - 08/28/2023 10:39 AM - Xihua Fan
- Status changed from 000 to0010
- % Done changed from 100 to 90

To Bruce

00000 Update order status 00000000000order list 0000
Burce: 00lUpdate order status 10000000000000000sort 0 order 2000000000000000000001-200000
van: 1000000000000000000

10000000sortlorder10000000000000rderl00order productl00ONNNDOO0OOO0O0
To Van

00000000sortlorder0000000000000orderl00order productl0000OOOOOOOO0N

looooooooooooooo00order list 000000000.update_time DESC, op.update_time DESCIO[

#9 - 08/28/2023 02:23 PM - Zhongbao Ye
- Status changed from 000 to0010
- % Done changed from 90 to 100

#10 - 10/08/2024 10:57 AM - Xihua Fan

- Target version set to v3.0

Files

batch update.png 559 KB 07/19/2023 Xihua Fan
